Bug 119537 - ftruncate64 is broken in IA32 emulation layer
ftruncate64 is broken in IA32 emulation layer
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Paradis
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-31 03:03 EST by Joe Orton
Modified: 2013-08-05 21:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-02 00:31:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
test case for ftruncate64 (582 bytes, text/plain)
2004-03-31 03:04 EST, Joe Orton
no flags Details

  None (edit)
Description Joe Orton 2004-03-31 03:03:17 EST
Description of problem:
ftruncate64 broken in IA32 emulation layer

Version-Release number of selected component (if applicable):
2.4.21-9.0.1.EL

How reproducible:
Always

Steps to Reproduce:
$ gcc -m32 ftruncate64.c
$ ./a.out
  
Actual results:
"size was 0 not 8589934592"

Expected results:
no output

Additional info:
Same results if binary is built on a real IA-32 box.
Comment 1 Joe Orton 2004-03-31 03:04:08 EST
Created attachment 98990 [details]
test case for ftruncate64
Comment 2 Jim Paradis 2004-04-05 12:15:06 EDT
Patch submitted, will likely go into U3.
Comment 3 Ernie Petrides 2004-05-04 19:06:44 EDT
A fix for this problem has just been committed to the RHEL3 U3
patch pool (in kernel version 2.4.21-15.2.EL).
Comment 4 John Flanagan 2004-09-02 00:31:13 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-433.html

Note You need to log in before you can comment on or make changes to this bug.